<template>
  <div class="row pt-5 cate-game">
    <div class="col col-12 col-lg-3">
      <p class="fw-bold title-text">Quiz category</p>
    </div>
    <div class="col col-12 col-lg-9">
      <div>
        <select
          class="form-select"
          aria-label="Select category"
          @change="updateContent($event)"
        >
          <option selected>Select category</option>
          <option
            v-for="(item, index) in categories"
            :key="index"
            :value="index + 1"
          >
            {{ item }}
          </option>
        </select>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      categories: [
        "Other",
        "Blockchain",
        "Coin",
        "Broadcast",
        "Animation",
        "Food",
        "Music",
        "Entertainment",
        "Fashion",
        "Beauty",
        "Film and Drama",
        "Documentary",
        "News",
        "Activity",
        "Animal",
        "Science",
        "Humor",
        "Travel",
        "Politics",
        "Society",
        "Game",
      ],
    };
  },
  props: {
    idProp: Number,
  },
  methods: {
    updateContent(e) {
      console.log(e.target);
    },
  },
};
</script>

<style scoped>
* > .row {
  width: 100%;
  margin-left: 0;
}
.cate-game .title-text {
  font-size: 22px;
}
</style>
